Bug 240966 - Pata-ALI drivers broken, disk partitions are not detected
Pata-ALI drivers broken, disk partitions are not detected
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
high Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-23 10:34 EDT by Arlinton Bourne
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.21-1.3228.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-29 12:57:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Photo 01 (796.31 KB, image/jpeg)
2007-05-23 10:49 EDT, Arlinton Bourne
no flags Details
Photo 02 (1.03 MB, image/jpeg)
2007-05-23 10:52 EDT, Arlinton Bourne
no flags Details
Photo 03 (1.18 MB, image/jpeg)
2007-05-23 10:53 EDT, Arlinton Bourne
no flags Details
Photo 04 (1.22 MB, image/jpeg)
2007-05-23 10:53 EDT, Arlinton Bourne
no flags Details
Photo 05 (1.19 MB, image/jpeg)
2007-05-23 10:54 EDT, Arlinton Bourne
no flags Details
Photo 06 (1.17 MB, image/jpeg)
2007-05-23 10:55 EDT, Arlinton Bourne
no flags Details

  None (edit)
Description Arlinton Bourne 2007-05-23 10:34:08 EDT
Description of problem:
Using the pata-ali drivers (libata) on the latest kernel (at the time -
2.6.21-1.3163.fc7) results in a kernel panic - not being able to mount root.
It seems after the kernel finds the hard drive and then is probing for the hard
disk's partitions it prints something about being 'frozen' then does a soft reset. 

So boot -> detect drive -> finds drive -> finds no partitions -> kernel panic (i
can't mount root)

Note this is not a regression, as I've tried this with various rawhide kernels.
pata-ali never worked on this machine (fujitsu p series lifebook p1120).

Version-Release number of selected component (if applicable):
2.6.21-1.3163.fc7

How reproducible:
Always

Steps to Reproduce:
1.Boot kernel (f7 kernel)

  
Actual results:
Kernel Panic

Expected results:
Welcome to Fedora

Additional info:
Workaround, compile the legacy driver

Stay tuned for screenshots...
Comment 1 Arlinton Bourne 2007-05-23 10:49:59 EDT
Created attachment 155247 [details]
Photo 01
Comment 2 Arlinton Bourne 2007-05-23 10:52:58 EDT
Created attachment 155248 [details]
Photo 02
Comment 3 Arlinton Bourne 2007-05-23 10:53:19 EDT
Created attachment 155249 [details]
Photo 03
Comment 4 Arlinton Bourne 2007-05-23 10:53:47 EDT
Created attachment 155250 [details]
Photo 04
Comment 5 Arlinton Bourne 2007-05-23 10:54:17 EDT
Created attachment 155251 [details]
Photo 05
Comment 6 Arlinton Bourne 2007-05-23 10:55:12 EDT
Created attachment 155253 [details]
Photo 06
Comment 7 Hans de Goede 2007-06-10 07:22:29 EDT
There is an F7 kernel-update candidate available here:
http://people.redhat.com/davej/kernels/Fedora/fc7/RPMS.kernel/

Which amongst other things contains a fix for ALI IDE problems. Please try this
kernel and report back how it works for you.

Always be carefull when testing new kernels. Use rpm -ivh to install the new
kernel besides your current one so that you can always boot back into the old
kernel.
Comment 8 Arlinton Bourne 2007-06-26 14:56:01 EDT
I've installed kernel-2.6.21-1.3232.fc7.i586.rpm

The kernel did not panic and the system booted

So far so good.
Comment 9 Chuck Ebbert 2007-06-29 12:57:48 EDT
Patch was in released kernel 1.3228.fc7

Note You need to log in before you can comment on or make changes to this bug.